org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryOperation<V>

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<V>

- All Implemented Interfaces:
    ISvnOperationOptionsProvider
  Direct Known Subclasses:
    SvnRepositoryCat, SvnRepositoryCreate, SvnRepositoryGetAuthor, SvnRepositoryGetDate, SvnRepositoryGetDiff, SvnRepositoryGetFileSize, SvnRepositoryGetInfo, SvnRepositoryGetLock, SvnRepositoryGetLog, SvnRepositoryGetProperties, SvnRepositoryGetProperty, SvnRepositoryGetRevisionProperties, SvnRepositoryGetRevisionProperty, SvnRepositoryGetUUID, SvnRepositoryGetYoungest, SvnRepositoryHotCopy, SvnRepositorySetUUID

      public abstract class SvnRepositoryOperation<V>
      extends SvnOperation<V>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnRepositoryOperation(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getRepositoryRoot()`
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `void` | `setRepositoryRoot(java.io.File repositoryRoot)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryOperation

          protected SvnRepositoryOperation(SvnOperationFactory factory)

  - ### Method Detail

    - #### setRepositoryRoot

          public void setRepositoryRoot(java.io.File repositoryRoot)

    - #### getRepositoryRoot

          public java.io.File getRepositoryRoot()

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<V>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`